Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Class JavaBinderCompiler

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.JavaBinderCompiler

    public class JavaBinderCompiler

extends Object

This class generates source code for Java binding class. By default binder classes are put to the same package as handler classes and have postfix ''JavaBinder''. This behavior can be changed by subclassing the compiler. The class keeps track of generated predicate classes and attempts to reuse them.

Nested Class Summary
`static class` | `JavaBinderCompiler.ConvertersBundle`
`static class` | `JavaBinderCompiler.JavaExtractorEntry`

Field Summary
`protected static String` | `BINDER_CLASS_PACKAGE`

Constructor Summary
`JavaBinderCompiler(File outputDir)`

Method Summary
`
`<E,C,HC extends C,BC extends EventBus<E,?,C,?,?,?>> void`
` | `compileJavaBinder(Class<HC> handlerClass, Class<BC> busClass, ClassLoader classLoader, TokenExpander tokenExpander)`
`protected String` | `getBinderClassName(Class<?> handlerClass)`
`protected String` | `getBinderClassPackage(Class<?> handlerClass)`
`static void` | `main(String[] args)` Compiles bindings for classes specified in the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BINDER_CLASS_PACKAGE

    protected static final String BINDER_CLASS_PACKAGE

See Also:
  Constant Field Values

Constructor Detail

### JavaBinderCompiler

    public JavaBinderCompiler(File outputDir)

Method Detail

### compileJavaBinder

    public <E,C,HC extends C,BC extends EventBus<E,?,C,?,?,?>> void compileJavaBinder(Class<HC> handlerClass,
                                                                                      Class<BC> busClass,
                                                                                      ClassLoader classLoader,
                                                                                      TokenExpander tokenExpander)

### getBinderClassPackage

    protected String getBinderClassPackage(Class<?> handlerClass)

### getBinderClassName

    protected String getBinderClassName(Class<?> handlerClass)

### main

    public static void main(String[] args)
                     throws Exception

  Compiles bindings for classes specified in the command line. Uses system properties for token expansion.

  Parameters:
    `args` -
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD